Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Axis & Allies 1942 Online is now available in Early Access! Buy it on Steam. The FAQ is available.
New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Error installing EET

billy_pilgrimbilly_pilgrim Member Posts: 115
edited June 2017 in General Modding
Hey guys,

I was playing on a fine EET install, but initaitally i had some features selected which I wanted to change, like the EEt tweaks reduced xp and revised call woodlands beings, nothing major. So when I got bored with my playthrough I went ahead and reinstalled (I had done the initial install with BWS, and it worked fine after a bit of tinkering) however, now the install stops during the initial EET part with this error:

ERROR Installing [Core EET (game importation)], rolling back to previous state
Will uninstall 10118 files for [EET_CORE.TP2] component 0.
Uninstalled 10118 files for [EET_CORE.TP2] component 0.
ERROR: Parsing.Parse_error
PLEASE email the file SETUP-EET_CORE.DEBUG to K4thos (swit)
Automatically Skipping [Core EET (game importation)] because of error.
Using Language [English]
[.\lang\en_us\dialog.tlk] created, 273700 string entries

NOT INSTALLED DUE TO ERRORS Core EET (game importation)
EET\temp\patch - The directory is not empty.

Press ENTER to exit.

I tried installing EET manually, still got the same error, redownloaded EET and still get the same error! Anyone have any idea's what this could be?

Thanks!

Edit: browsed the EET thread on G3 and found someone with the same error, it may have something to do with the updated version of bws. Will try an older version without updating it.

Zzz... that didn't work either, same error.

Post edited by billy_pilgrim on

Comments

  • PaulaMigratePaulaMigrate Member Posts: 1,201
    Do you use new Weidu 2.41? It tells you at the top of your Weidu.log in the BGEE folder, something like
    ~SETUP-WEIDU.TP2~ #0 #0 // 24100

  • billy_pilgrimbilly_pilgrim Member Posts: 115
    edited June 2017
    @PaulaMigrate yea:

    // Log of Currently Installed WeiDU Mods
    // The top of the file is the 'oldest' mod
    // ~TP2_File~ #language_number #component_number // [Subcomponent Name -> ] Component Name [ : Version]
    ~SETUP-WEIDU.TP2~ #0 #0 // 24100
    ~SETUP-BWS.TP2~ #0 #0 // 20161130 - Updated by agb1 (installation started Mon 06/19/2017)
    ~BGQE/SETUP-BGQE.TP2~ #0 #0 // Slime Quest: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #1 // Beregost Family Quest: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #2 // Installing the Babysitting Quest, including the Carnival Encounter...: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #3 // Nashkel Monster Quest: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #4 // Fallen Paladin Quest: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #5 // Undying Love Quest: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #6 // Orcish Lover Encounter: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #7 // Unexpected Help Quest: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #8 // "Many Little Paws": v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #9 // Drunk near Beregost Temple: v15
    ~BGQE/SETUP-BGQE.TP2~ #0 #10 // A Warm Place for Noober: v15
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #0 // Ice Island Level Two Restoration: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #1 // The Mysterious Vial: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #4 // Finishable Kagain Caravan Quest: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #6 // Kivan and Tazok: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #7 // Branwen and Tranzig: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #10 // Place Entar Silvershield in His Home: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #11 // Scar and the Sashenstar's Daughter: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #12 // Quoningar, the Cleric: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #13 // Shilo Chen and the Ogre-Magi: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #14 // Edie, the Merchant League Applicant: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #16 // Creature Corrections: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #17 // Creature Restorations: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #18 // Creature Name Restorations: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #19 // Minor Dialogue Restorations: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #21 // Store, Tavern and Inn Fixes and Restorations: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #22 // Item Corrections and Restorations: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #28 // Prism and the Emeralds Tweak: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #29 // Duke Eltan in the Harbor Master's Building: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #30 // Nim Furlwing Encounter: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #32 // Svlast, the Fallen Paladin Encounter: v14.1
    ~BG1UB/SETUP-BG1UB.TP2~ #0 #33 // Mal-Kalen, the Ulcaster Ghost: v14.1
    // Recently Uninstalled: ~SETUP-BWS_FINAL.TP2~ #0 #0 // Make quick-logged WeiDU-entries visible

  • badungubadungu Member Posts: 53

    EET\temp\patch - The directory is not empty.

    Maybe delete this directory before installing EET? ;)

  • billy_pilgrimbilly_pilgrim Member Posts: 115
    I think that directory is created during install ~ I tried looking for it but couldn't find it.

  • PaulaMigratePaulaMigrate Member Posts: 1,201
    edited June 2017
    On G3 and SHS a number of people report the same issue. It has either to do with recent BWS update or the Weidu update.
    The bad thing is that all the maintainers of BWS or EET are currently busy with real life. One can only hope the problem is found soon.
    It's just to let you know that it's not your single problem alone.

  • PaulaMigratePaulaMigrate Member Posts: 1,201

    I think that directory is created during install ~ I tried looking for it but couldn't find it.

    The error about the directory not empty is from the rollback process - it is where EET temporarily stores the files it works on and where it breaks off for some yet unknown reason.
    In case you still have it, see if this file is there.
    EET/temp/patch/d/BDGARRIC.d
    The G3 guys are looking for a sample of it to track the error.

  • billy_pilgrimbilly_pilgrim Member Posts: 115
    edited June 2017
    @PaulaMigrate Thanks I looked at G3 and noticed it too, well I don't tink its bws, because the old version didn't work either. I tried a fresh download of EET and that didn't help, but it was the same version I was using so didn't expect much to begin with. Hopefully someone finds out what it is soon :disappointed:

  • PaulaMigratePaulaMigrate Member Posts: 1,201

    @PaulaMigrate Thanks I looked at G3 and noticed it too, well I don't tink its bws, because the old version didn't work either. I tried a fresh download of EET and that didn't help, but it was the same version I was using so didn't expect much to begin with. Hopefully someone finds out what it is soon :disappointed:

    Anyway - all of this information is quite helpful to narrow the source of error down.

  • badungubadungu Member Posts: 53
    I tried it myself and I think I found the issue, the DECOMPILE_DLG_TO_D function seems buggy, reported it on github: https://github.com/WeiDUorg/weidu/issues/100

    PaulaMigrate
  • PaulaMigratePaulaMigrate Member Posts: 1,201
    badungu said:

    I tried it myself and I think I found the issue, the DECOMPILE_DLG_TO_D function seems buggy, reported it on github: https://github.com/WeiDUorg/weidu/issues/100

    Great!! So the suspicion that it might have been the weidu update seems confirmed. Using the previous weidu 2.40 should solve the problem then.

  • billy_pilgrimbilly_pilgrim Member Posts: 115
    Found the cuplrit! With help from G3 forums, its WeidU 241, forcing it to use 240 instead solves it.

  • rizbo61rizbo61 Member Posts: 1

    Found the cuplrit! With help from G3 forums, its WeidU 241, forcing it to use 240 instead solves it.

    How do you force it? Also, does anyone knows what to do when there's a version mismatch in downloaded mods and the installer asks you if you want to patch it?

    Madrict
  • billy_pilgrimbilly_pilgrim Member Posts: 115
    @rizbo61 download 240 and put it in your downloads folder for BWS, do this after bws has checked the mods in its download folder (copy and replace existing weidu). during the install you will be prompted because the filesizes don't match, select provide file (this is true for your other problem too) and click on weidu 240, then select force to ignore the filesize mismatch. Afetr that it should work fine, you will be prompted a couple more times for mismatch in versions, but these don't really matter just select continue.

  • Schabik09Schabik09 Member Posts: 97
    PROSZE, wyslij plik SETUP-EET.DEBUG do K4thos (swit)
    Using Language [Polski (Polish)]

    Zainstalowac komponent [EET core - import zasobow]?
    [I] tak, [N] nie, [Q] zakoncz


    gdzie jest plik K4thos (swit) ???

Sign In or Register to comment.